Page MenuHomePhabricator

Move IE10, IE11 and Edge from the greylist to the whitelist to avoid the pop-up warning
Closed, ResolvedPublic1 Story Points

Description

Based on last meeting, please add IE11 to supported browsers list for VE, remove the pop-up and update that list (MS Edge is missing).

Event Timeline

Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptMar 1 2016, 9:58 AM
Trizek-WMF updated the task description. (Show Details)Mar 1 2016, 9:59 AM
Trizek-WMF added a subscriber: Jdforrester-WMF.
Trizek-WMF updated the task description. (Show Details)Mar 1 2016, 10:07 AM
Trizek-WMF added a subscriber: Whatamidoing-WMF.
Jdforrester-WMF renamed this task from Remove IE11 pop-up warning on VE to Move IE10 and IE11 from the greylist to the whitelist to avoid the pop-up warning.Mar 1 2016, 7:40 PM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.
Jdforrester-WMF set the point value for this task to 1.

Change 274181 had a related patch set uploaded (by Jforrester):
DesktopArticleTarget: Add Edge and MSIE to whitelist

https://gerrit.wikimedia.org/r/274181

GOIII added a subscriber: GOIII.EditedMar 2 2016, 5:01 AM

As far as EDGE goes there are two issues to consider...

First, technically there are two versions of Windows 10 out there. The original RTM and the November 2015 ver. 1511 "update". Each had a "base" version of Edge released with it. The RTM came with culmination of all the preview builds of Edge up to that time (I believe 12.10240 or sometimes 12.240). The November update briefly mirrored the RTM but soon upped Edge to 13.xxxxx within a week or so afterwards.

By now, the 30 day "gap" between those who upgraded to Windows before November 2015 (RTM) and those who upgraded afterwards (Ver. 1511) should be a moot point. In theory, anybody visiting windows update at any point after that November 2015 Update + ~30 days should be running the latest version of Edge all things being equal.

Second, All updates to Edge are cumulative. So unless a User has somehow gone against the norm and not allowed automatic updates nor manually updated themselves, in theory, they can still be running the RTM based version of Edge. Otherwise everybody using Windows 10 at any given moment should have the latest Edge running under that Windows 10 as well.

That said, in addition to the RTM version of EDGE currently whitelisted in the patch, shouldn't we probably add the current ver. 1511 Edge (13) user agent string (below) as well?

  • Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/46.0.2486.0 Safari/537.36 Edge/13.10586

Overall, this will be a big honkin' waste of time and another reason to switch to browser feature detection instead of the traditional detection of the browser agent string. As soon as the next "branch" of Edge released (i.e. not a preview build), one if not both of the current strings in the test.js will be moot as the version is likely to become Edge/14.xxxxx.

Helpful references:

Jdforrester-WMF renamed this task from Move IE10 and IE11 from the greylist to the whitelist to avoid the pop-up warning to Move IE10, IE11 and Edge from the greylist to the whitelist to avoid the pop-up warning.Mar 2 2016, 4:07 PM
Paladox added a subscriber: Paladox.Mar 2 2016, 4:23 PM

Change 274181 merged by jenkins-bot:
DesktopArticleTarget: Add Edge and MSIE to whitelist

https://gerrit.wikimedia.org/r/274181

Jdforrester-WMF closed this task as Resolved.Mar 7 2016, 11:44 PM
Jdforrester-WMF removed a project: Patch-For-Review.